Bug 1466678 - RFE: backport weak dependency tags to RHEL6 rpm
RFE: backport weak dependency tags to RHEL6 rpm
Status: VERIFIED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.10
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
Eva Mrakova
: FutureFeature
Depends On:
Blocks: 1494486 1494504 1508538
  Show dependency treegraph
 
Reported: 2017-06-30 04:49 EDT by Tomas Lestach
Modified: 2018-04-04 06:32 EDT (History)
13 users (show)

See Also:
Fixed In Version: rpm-4.8.0-56.el6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1508538 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reading weak/rich deps on RHEL 6 (1.66 KB, text/plain)
2017-08-22 08:37 EDT, Daniel Mach
no flags Details

  None (edit)
Comment 7 Daniel Mach 2017-08-22 08:37 EDT
Created attachment 1316617 [details]
reading weak/rich deps on RHEL 6

I've put together code that demonstrates that weak/rich deps are readable on RHEL 6 with existing RPM.
As Panu mentioned, it's all about the constants or knowing the IDs if RPM doesn't provide the constants.

Note You need to log in before you can comment on or make changes to this bug.